/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */

package com.icesoft.push;

import org.icepush.PushNotification;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import java.util.logging.Level;
import java.util.logging.Logger;

public class SerializablePushNotification
extends PushNotification
implements Serializable {
    private static final Logger LOGGER = Logger.getLogger(SerializablePushNotification.class.getName());
    private Map<String, Object> _attributes = new HashMap();

    public SerializablePushNotification(final PushNotification pushNotification) {
        if (pushNotification != null) {
            Set<String> _attributeNameSet = pushNotification.getAttributes().keySet();
            for (final String _attributeName : _attributeNameSet) {
                if (!_attributeName.equals(SUBJECT) && !_attributeName.equals(DETAIL)) {
                    // TODO: Throw some exception
                } else {
                    _attributes.put(_attributeName, pushNotification.getAttributes().get(_attributeName));
                }
            }
        }
    }

    public Map<String, Object> getAttributes()  {
        return _attributes;
    }
}
